MonoX support board

Start the conversation, ask questions and share tips and solutions with fellow developers.

Non-registered users can only browse through our support boards. Please register now if you want to post your questions. It takes a second and it is completely free. Alternatively, you can log in without registration using your credentials at major sites such as Google, Microsoft Live, OpenId, Facebook, LinkedIn or Yahoo.

Migrating Monox 5.1 from .NET 4.0 t0 4.5  (Mono Support )

Viewed 7907 time(s), 2 post(s) 7/11/2016 5:40:22 PMby Apocalypse
Apocalypse

Apocalypse

7/11/2016 5:40:22 PM
So i've been trying to migrate the latest version of monoX from .NET 4.0 to 4.5 to take advantage of certain nuget packages which arent compatible with the 4.0 version, here are the steps i've taken so far

1. Download and unzip the file MonoX_5_1_40_5152.zip
2. Create a new website in iis and point to location of unzipped files
3. Change permissions on unzipped files
4. Open browser and complete installation, connection to db works, tables in DB got created
5. Upon completion, navigate to website, everything works great so far.
6. Import project to visual studio 2013
7. Change target framework to 4.5, unknown server tag errors start to show up and the website wont compile anymore

These are the errors on the Monox.master page
A) File not found on CodeBehind "MonoX.master.cs"
%@ Master 
    Language="C#" 
    AutoEventWireup="true" 
    Inherits="MonoSoftware.MonoX.MasterPages.MonoX" 
    EnableTheming="true" 
    MasterPageFile="/MonoX/MasterPages/UpdatePanel.master"
    Codebehind="MonoX.master.cs" %> 

B) Unknown server tag 'MonoX:Editor'

I attempted commenting out the unknown server tag line in the code and the error propagates to other parts of the application

So i guess my main question is what is proceedure in migrating MonoX 5.1 from .NET 4.0 to 4.5 and above? Is there a guide handy?

Thanks

This content has not been rated yet. 
177 Reputation 14 Total posts
vzakanj

vzakanj

7/25/2016 2:27:06 PM
Hi Apocalypse,
sorry for the late response, there is no guide for this because the current release of MonoX officially doesn't support .NET 4.5+ (only 4.0).

Behavior with .NET 4.5 hasn't been tested, but what you could do is try setting it up as a web application project (instead of a website project) and configure the compiler not to treat warnings as errors in project properties. This might produce a buildable project, but you'd still get runtime errors on the pages which throw these errors, meaning YMMV with this approach.

Regards,
Vedran


This content has not been rated yet. 
345 Reputation 61 Total posts